Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2021-10-20 11:19:42

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,777
Website GitHub Twitter

Dreamhost updates to MySQL 8

Dreamhost will be updating their MySQL dbs to v8. Would txp be running ok on that version?


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#2 2021-10-20 11:47:16

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,513
Website

Re: Dreamhost updates to MySQL 8

Yes.

I use MySQL 8 locally for all testing and for two live sites.


Where is that emoji for a solar powered submarine when you need it ?

Offline

#3 2021-10-20 12:16:36

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,777
Website GitHub Twitter

Re: Dreamhost updates to MySQL 8

phiw13 wrote #331832:

Yes.

I use MySQL 8 locally for all testing and for two live sites.

Wonderful. Thanks!!!


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#4 2021-10-21 06:09:24

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,691
GitHub

Re: Dreamhost updates to MySQL 8

+1 for OK with MySQL 8.0.

MySQL 5.7 is in extended support until October 2023, then it’s End Of Life’d.
MySQL 8.0 was released in 2018, is in mainline support until April 2023, then extended support until October 2026.

Looking at the MySQL release schedule, it seems a ‘big’ version comes out every 3 years or thereabouts, so I would not be surprised to see MySQL 8.1 or 9.0 next year…assuming they don’t skip a version like the cool kids do (Windows v9…PHP v6…and don’t even start me on MS Access jumping from v2 to v7).

The demo sites have been running well on Percona Server 8.0 – a drop-in replacement – for some years, no known issues.

We don’t explicitly mention support for MySQL 8.0 in HISTORY.txt, perhaps that’s something to consider moving forward.

Offline

#5 2021-10-21 06:29:20

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,777
Website GitHub Twitter

Re: Dreamhost updates to MySQL 8

gaekwad wrote #331838:

We don’t explicitly mention support for MySQL 8.0 in HISTORY.txt, perhaps that’s something to consider moving forward.

That is what worried me, although I admittedly did spot it in the system requirements!


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#6 2021-10-21 06:48:17

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,691
GitHub

Re: Dreamhost updates to MySQL 8

colak wrote #331839:

[…] I admittedly did spot it in the system requirements!

…and I admittedly just tweaked them to explicitly mention we recommend MySQL 8.0.

Offline

#7 2021-10-21 07:21:36

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,513
Website

Re: Dreamhost updates to MySQL 8

colak wrote #331839:

[…] I admittedly did spot it in the system requirements!

Isn’t that the more important place to mention it ? That is where I first would check for (eventual) support…


Where is that emoji for a solar powered submarine when you need it ?

Offline

#8 2021-10-21 07:51:26

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,777
Website GitHub Twitter

Re: Dreamhost updates to MySQL 8

Interesting as it appears to have been there before


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#9 2021-10-21 08:02:25

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,691
GitHub

Re: Dreamhost updates to MySQL 8

phiw13 wrote #331842:

Isn’t that the more important place to mention it ? That is where I first would check for (eventual) support…

It’s supported now. Until about an hour ago, we had MySQL 5.7 as recommended. I updated it to say MySQL 8.0 recommended since it works fine and is actively supported by the vendor.

Offline

#10 2021-10-21 08:04:50

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,691
GitHub

Re: Dreamhost updates to MySQL 8

This is a good time to mention that Textpattern 4.9 will need a minimum of MySQL 5.5, which is old as dirt but not as ancient as the MySQL 5.0 minimum now.

Offline

#11 2021-10-21 08:12:17

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,513
Website

Re: Dreamhost updates to MySQL 8

Related & Puzzling – when you go textpattern.com and search for “system requirements”, you get a list of links to blogposts, but no direct link to the actual most relevant result. There is no direct link to that on the front page.

A search on docs doesn’t seem to mention it.


Where is that emoji for a solar powered submarine when you need it ?

Offline

#12 2021-10-21 09:13:25

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,691
GitHub

Re: Dreamhost updates to MySQL 8

phiw13 wrote #331846:

Related & Puzzling – when you go textpattern.com and search for “system requirements”, you get a list of links to blogposts, but no direct link to the actual most relevant result. There is no direct link to that on the front page.

textpattern.com/?q=system+requirements

I see 27 results and it’s (edit: currently) the third hit, so it’s there…but not top of the list.

Agreed on the missing link on the front page.

Last edited by gaekwad (2021-10-21 09:24:51)

Offline

Board footer

Powered by FluxBB